Bug 101886

Summary: Use menulist-button instead of menulist for date/time input types
Product: WebKit Reporter: Kent Tamura <tkent>
Component: FormsAssignee: Kent Tamura <tkent>
Status: RESOLVED FIXED    
Severity: Normal CC: cmarcelo, dglazkov, macpherson, menard, morrita, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 100935    
Attachments:
Description Flags
Rendering with menulist-button
none
Patch none

Description Kent Tamura 2012-11-11 20:53:19 PST
This is a follow-up patch for Bug 101722.

I found both of Chromium-Android and iOS use -webkit-appearance:menulist-button, not menulist. We had better apply common one by default.
Comment 1 Kent Tamura 2012-11-11 20:54:26 PST
Created attachment 173545 [details]
Rendering with menulist-button
Comment 2 Kent Tamura 2012-11-11 21:01:42 PST
Created attachment 173546 [details]
Patch
Comment 3 WebKit Review Bot 2012-11-12 18:04:26 PST
Comment on attachment 173546 [details]
Patch

Attachment 173546 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/14813571

New failing tests:
fast/events/overflow-scroll-fake-mouse-move.html
Comment 4 WebKit Review Bot 2012-11-13 23:57:23 PST
Comment on attachment 173546 [details]
Patch

Clearing flags on attachment: 173546

Committed r134558: <http://trac.webkit.org/changeset/134558>
Comment 5 WebKit Review Bot 2012-11-13 23:57:27 PST
All reviewed patches have been landed.  Closing bug.